Package org.apache.sling.commons.crypto

# Interface PasswordProvider

All Known Implementing Classes:
  `EnvironmentVariablePasswordProvider`, `FilePasswordProvider`

@ProviderType public interface PasswordProvider
Provider of passwords to use for example with password-based encryption (PBE).

See Also:
  - `PBEKeySpec`

## Method Summary

Modifier and Type
Method
Description
`char @NotNull []`
`getPassword()`
Provides the password.

## Method Details

### getPassword

char @NotNull [] getPassword()
Provides the password.

Returns:
  The password